CreationParams
Date: 2013-03-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.common.searchservice.searchlibrary.resultset.elements
Class CreationParams

    java.lang.Object
      org.gcube.common.searchservice.searchlibrary.resultset.elements.CreationParams

    public class CreationParams

extends java.lang.Object

Creation Parameters container class

Author:
  Konstantinos Tsakalozos

Field Summary
`java.util.ArrayList<java.lang.String>` | `properties` Array of property elements

Constructor Summary
`CreationParams()`

Method Summary
`int` | `getAccessReads()` Is the RS to be created with access leasing?
`java.lang.String` | `getAll_properties()` Get all properties
`java.util.Date` | `getExpire_date()` Is the RS to be created with time leasing?
`java.security.PublicKey` | `getPKey()` Is the RS to be created with a private key?
`java.util.ArrayList<java.lang.String>` | `getProperties()` Get the Element properties of the RS
`boolean` | `isDataflow()` Is the RS to be created with control flow?
`boolean` | `isForward()` Is the RS to be created with forward only property?
`void` | `setAccessReads(int accessReads)` Set the access leasing
`void` | `setAll_properties(java.lang.String all_properties)` Set all properties
`void` | `setDataflow(boolean dataflow)` set the data flow property
`void` | `setExpire_date(java.util.Date expire_date)` Set the time leasing for the RS
`void` | `setForward(boolean forward)` Set the forward only property
`void` | `setPKey(java.security.PublicKey pKey)` Set the Private key of the RS
`void` | `setProperties(java.util.ArrayList<java.lang.String> properties)` Set the Element properties of the RS

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### properties

    public java.util.ArrayList<java.lang.String> properties

  Array of property elements

Constructor Detail

### CreationParams

    public CreationParams()

Method Detail

### isDataflow

    public boolean isDataflow()

  Is the RS to be created with control flow?

  Returns:
    true control flow is enabled in the RS

### setDataflow

    public void setDataflow(boolean dataflow)

  set the data flow property

  Parameters:
    `dataflow` - the data flow property

### getAccessReads

    public int getAccessReads()

  Is the RS to be created with access leasing?

  Returns:
    the leasing

### setAccessReads

    public void setAccessReads(int accessReads)

  Set the access leasing

  Parameters:
    `accessReads` - the access leasing

### isForward

    public boolean isForward()

  Is the RS to be created with forward only property?

  Returns:
    true if the RS is to be created as forward only

### setForward

    public void setForward(boolean forward)

  Set the forward only property

  Parameters:
    `forward` - true if forward only is to be set

### getExpire_date

    public java.util.Date getExpire_date()

  Is the RS to be created with time leasing?

  Returns:
    the time leasing

### setExpire_date

    public void setExpire_date(java.util.Date expire_date)

  Set the time leasing for the RS

  Parameters:
    `expire_date` - the time leasing set

### getPKey

    public java.security.PublicKey getPKey()

  Is the RS to be created with a private key?

  Returns:
    the private key

### setPKey

    public void setPKey(java.security.PublicKey pKey)

  Set the Private key of the RS

  Parameters:
    `pKey` - the private key

### getProperties

    public java.util.ArrayList<java.lang.String> getProperties()

  Get the Element properties of the RS

  Returns:
    an array list of the properties

### setProperties

    public void setProperties(java.util.ArrayList<java.lang.String> properties)

  Set the Element properties of the RS

  Parameters:
    `properties` - an array list of the properties

### getAll_properties

    public java.lang.String getAll_properties()

  Get all properties

  Returns:
    all properties in a string

### setAll_properties

    public void setAll_properties(java.lang.String all_properties)

  Set all properties

  Parameters:
    `all_properties` - the properties

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD